function raw = fermi_filter(kx,ky,raw,h)

%apply fermi filtering

nfermiwout = (10.0/128.0);   	%normalized width of fermi window
nfermiwin = (20.0/128.0);   	%normalized width of fermi window
fermimout = 1.0;                %minimum of fermi window, spiral out 
fermimin = 3.0;                 %minimum of fermi window, spiral in  

krad = hypot(kx,ky);
fermir = max(krad);

fermiwout = nfermiwout*fermir;
fermiwin = nfermiwin*fermir;

for ii = 1:h.nsamp
    for jj = 1:h.necho
        if jj == 1
            spdir = h.spdir1;
        else
            spdir = h.spdir2;
        end
        if spdir == 0
            fermi = 1./(1 + fermimout*(exp(((krad(ii) - fermir)/fermiwout))));
        elseif spdir == 1               
            fermi = 1./(1 + fermimin*(exp(((krad(ii) - fermir)/fermiwin))));
        else    %Spiral in&out acq.
            if ii < h.nsamp/2 %Spiral in part
                fermi = 1./(1 + fermimin*(exp(((krad(ii) - fermir)/fermiwin))));
            else  %Spiral out part
                fermi = 1./(1 + fermimout*(exp(((krad(ii) - fermir)/fermiwout))));
            end
        end
        raw(ii,:,:,:,jj,:) = raw(ii,:,:,:,jj,:)*fermi;
    end
end


