%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [kx, ky]=getkspacedata(Pfilename, nl, is20x)
% returns trajectory (kx, ky)

% default inputs
if ~exist('is20x','var') || isempty(is20x)
   is20x = false;
end

if is20x
    grrecon = 'grFmap20x';
else
    grrecon = 'grFmap';
end

% get gr from same directory as matlab_gr6
fullloc = which(caller_name);
loc=fullloc(1:(end-(length(caller_name)+2)));
command = [loc grrecon ' -saveraw -noimgfiles 1 '];

addstr =  [' -sl1 1 -sl2 1 '];

command = [command addstr];


addstr = [' -reps 1 '];

command = [command addstr];

%addstr = [' ',Pfilename,' ',Pfilename,'_temp > groutput'];
addstr = [' ',Pfilename,' pfile_temp > groutput'];
command = [command addstr];


system(command);

load kxkyfiledata.txt;
kx=kxkyfiledata(:,1);       % this is first interleave if multiple are present
ky=kxkyfiledata(:,2);

kx = kx/2; ky = ky/2;


%YJ, for interleaved spiral recon
nsamp = size(kx,1);
if nl > 1
    for ii = 1:(nl -1)
        theta = ii*2*pi/nl;
        c = cos(theta);  s = sin(theta);
        for jj = 1:nsamp
            kx(nsamp*ii+jj) = c*kx(jj) - s*ky(jj);
            ky(nsamp*ii+jj) = s*kx(jj) + c*ky(jj);
        end
    end
end

%command = ['rm -f ', Pfilename,'_temp*'];
command = 'rm -f pfile_temp*';
system(command);

delete kxkyfiledata.txt reorderrawdata.txt groutput

